import { jsx } from "react/jsx-runtime";
import { TokenUNCX as TokenUNCX$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenUNCX = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "UNCX", "data-name": "TokenUNCX", ...props, children: /* @__PURE__ */ jsx(TokenUNCX$1, { variant }) });
  }
);
TokenUNCX.displayName = "TokenUNCX";
Object.assign(TokenUNCX, { isGdsIcon: true });
export {
  TokenUNCX
};
